#include <nandef.h>
#include <extend.h>

/**********************************************************************

 Author: John F. Kaster  71510,3321

 Syntax: blinkbit( <toggle> )

  Notes: Turns the blinking attribute bit on or off on EGA/VGA displays
         and above.  Turning the blink bit off will allow the use of the
         high intensity colors (like Yellow instead of blinking brown) in
         the background color settings.

         Compiled with TC 2.0 - use:

         tcc -c -f- -ml -K -N- blink.c

         to recompile

Example: blinkbit( .t. )  && Turn blinking on
         blinkbit( 0 )    && Turn blinking off - enable bright backgrounds

**********************************************************************/

CLIPPER blinkbit( void )

{
   if ( PCOUNT == 1 && ( ISNUM( 1 ) || ISLOG( 1 ) ) )
   {

      int   on = _parl( 1 );

      asm mov  ah, 10h;
      asm mov  al, 03h;
      if ( on )
        asm mov  bl, 1;
      else
        asm mov  bl, 0;

      asm int  10h;

    }

   _ret();

}

